%define pkg_name        IO-StructuredOutput
%define pkg_version     1.008
%define rpm_pkg_version 1.008
%define rpm_pkg_release 1.n0i.1

Summary:       Perl extension to ease creation of structured data output
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/U/UN/UNRTST/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Spreadsheet::WriteExcel)
BuildRequires: perl(Text::CSV_XS)


%description
This module provides a high level abstraction from creating output
that is formatted in a structured way (like in tables).
Currently, Excel, CSV, and HTML table output are supported.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog examples/ README


%changelog
* Mon Jun 11 2007 Marius Feraru <altblue@n0i.net> - 1.008-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.008
